
QGIS Application - Bug report #403

Rendering extremely slow with vector transparency

2006-11-26 10:06 AM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10462

Description

Rendering with vector transparency set is intolerably slow if antialiasing is turned off. On a new install, we should set AA on by default.

If someone can confirm this, we should issue a warning when setting transparency if AA is off.

History

#1 - 2006-11-27 08:57 AM - Marco Hugentobler

Gary,

This does not happen on my system (Kubuntu 6.10, Qt-4.2.1). Performance is ok 

for me with transparency and with/without AA.

cheers,

Marco

#2 - 2006-11-27 12:05 PM - Gavin Macaulay -

Works fine for me with Qt-4.2.1 under Linux with most polygons. With very complicated polygons or .shp files with large numbers of polygons I do see a

small difference, but nothing that is significantly slower.

#3 - 2006-11-27 12:13 PM - Gary Sherman

- Resolution set to invalid

- Status changed from Open to Closed

Perhaps this is an issue with my (and others) X11 configuration.

I'll close this issue.

#4 - 2007-05-11 11:06 AM - Markus Neteler

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

I am using Madriva2007 with QT4.2.1 and rendering is indeed extremely slow with vector transparency. Using SVN HEAD.
So I suggest to add a warning about this in case AA is disabled. I take liberty to reopen. In the German translation it is rather impossible to understand

what checkboxes  should be activated to avoid this slowliness.

Markus

#5 - 2007-06-11 05:02 PM - Tim Sutton

Im testing with qt4.3 and I cant replicate. In many cases turning on anti-aliasing will actually slow down rendering so I think its going to be very confusing to

put up a message saying 'turn on AA to speed up rendering with transparnecy, but AA will slow down rendering.'. Im going to forward this bug to 0.8.2, but

I wonder if the preblem is resolved with qt4.3 in which case we should consider recommending this version of qt4.3.

Tim

#6 - 2008-10-10 01:10 PM - Tim Sutton

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closed - works for me under Qt 4.3 & Qt4.4. Please reopen if problem persists under a current version of Qt4. Suggestions to improve wording of options

for clarity in German would be welcome.

Regards

Tim

#7 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
